Last Comment Bug 558636 - Port Bug 528440 [Should skip windows that are closed but not yet destroyed when using nsIWindowMediator] to SeaMonkey
: Port Bug 528440 [Should skip windows that are closed but not yet destroyed wh...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Misak Khachatryan
:
:
Mentors:
Depends on: 528440
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 02:15 PDT by Misak Khachatryan
Modified: 2010-04-20 09:05 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (2.35 KB, patch)
2010-04-11 02:15 PDT, Misak Khachatryan
neil: review+
neil: superreview+
Details | Diff | Splinter Review
for checkin (2.35 KB, patch)
2010-04-11 10:20 PDT, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review

Description Misak Khachatryan 2010-04-11 02:15:28 PDT
Created attachment 438332 [details] [diff] [review]
patch

From parent bug:

nsIWindowMediator tracks windows until they are destroyed, but there's a brief
period when windows are closed without being destroyed yet. Session restore
should only care for windows that are open and should thus skip windows that
aren't.

I don't think this is relevant for real users, but it likely is relevant for
tests and could in fact be the cause for some intermittent failures we're
seeing.

I ran test on my Fedora 12, no failed test seen.
Comment 1 neil@parkwaycc.co.uk 2010-04-11 10:03:23 PDT
Comment on attachment 438332 [details] [diff] [review]
patch

>-      if (window.__SSi) {
>+      if (window.__SSi && !window.closed) {
Window closing is supposed to delete properties. But just in case, I'd prefer for you to check !window.closed first.
Comment 2 Misak Khachatryan 2010-04-11 10:20:17 PDT
Created attachment 438370 [details] [diff] [review]
for checkin

For checkin, carrying forward r+ and sr+ from Neil.
Comment 3 Misak Khachatryan 2010-04-17 06:02:19 PDT
checking ping
Comment 4 Misak Khachatryan 2010-04-19 23:51:59 PDT
Pushed http://hg.mozilla.org/comm-central/rev/5a33b560c2d5

Note You need to log in before you can comment on or make changes to this bug.